> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sarafa.ss/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions

> List and inspect Merchant API transactions.

Use transaction endpoints to reconcile collections, transfers, swaps, and wallet activity.

## List transactions

`GET /v3/transactions`

Optional query parameters:

| Parameter | Description                                    |
| --------- | ---------------------------------------------- |
| `limit`   | Number of records to return. Maximum is `100`. |
| `offset`  | Number of records to skip.                     |

```bash theme={null}
curl "https://serviceapi.sarafa.ss/v3/transactions?limit=50&offset=0" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "environment: sandbox"
```

## Get one transaction

`GET /v3/transaction/{id}`

Use a transaction reference or external reference.

```bash theme={null}
curl https://serviceapi.sarafa.ss/v3/transaction/order-1001 \
  -H "x-api-key: YOUR_API_KEY" \
  -H "environment: sandbox"
```

If a matching transaction is not found for your account and environment, the response data is `null`.
